package com.ssm.manage.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import javax.persistence.*;

@Table(name = "repay_trade_list")
@Data
public class RepayTradeList implements Serializable {

    private String saleFiveNumber;
    private String         saleSixNumber;
    private String saleSevenNumber;
    private String       saleEightNumber;
    private Long saleFiveStaffId;
    private Long         saleSixStaffId;
    private Long saleSevenStaffId;
    private Long        saleEightStaffId;
    private String    saleFiveStaffName;
    private String           saleSixStaffName;
    private String    saleSevenStaffName;
    private String            saleEightStaffName;
    private String    saleFiveIdentity;
    private String           saleSixIdentity;
    private String    saleSevenIdentity;
    private String            saleEightIdentity;
    private BigDecimal    saleFiveRatio;
    private BigDecimal         saleSixRatio;
    private BigDecimal saleSevenRatio;
    private BigDecimal        saleEightRatio;
    private BigDecimal saleFiveAchievementAmount;
    private BigDecimal         saleSixAchievementAmount;
    private BigDecimal saleSevenAchievementAmount;
    private BigDecimal         saleEightAchievementAmount;
    private BigDecimal saleFiveCommissionAmount;
    private BigDecimal        saleSixCommissionAmount;
    private BigDecimal saleSevenCommissionAmount;
    private BigDecimal        saleEightCommissionAmount;



    @Getter
    @Setter
    @Transient
    private BigDecimal newCashCommissionAmount;

    @Getter
    @Setter
    @Transient
    private BigDecimal newCardCommissionAmount;
    /**
     * 主键ID
     */
    @Id
    private Long id;

    /**
     * 还款单据号
     */
    @Column(name = "repay_num")
    private String repayNum;

    /**
     * 门店编码
     */
    @Column(name = "store_id")
    private Long storeId;

    /**
     * 门店名称
     */
    @Column(name = "store_name")
    private String storeName;


    /**
     * 归属门店编码
     */
    @Column(name = "belonging_store_id")
    private Long belongingStoreId;

    /**
     * 归属门店名称
     */
    @Column(name = "belonging_store_name")
    private String belongingStoreName;

    /**
     * 会员编码
     */
    @Column(name = "member_id")
    private Long memberId;

    /**
     * 会员名称
     */
    @Column(name = "member_name")
    private String memberName;

    /**
     * 会员身份证号
     */
    @Column(name = "member_identity_card")
    private String memberIdentityCard;

    /**
     * 手机
     */
    @Column(name = "mobile_phone")
    private String mobilePhone;

    /**
     * 欠款单ID
     */
    @Column(name = "doc_id")
    private Long docId;

    /**
     * 欠款单据号
     */
    @Column(name = "doc_num")
    private String docNum;

    /**
     * 欠款单类别
     */
    @Column(name = "doc_type")
    private String docType;

    /**
     * 欠款单交易ID
     */
    @Column(name = "trade_id")
    private Long tradeId;

    /**
     * 欠款单交易名称
     */
    @Column(name = "trade_name")
    private String tradeName;

    /**
     * 欠款单交易单价
     */
    @Column(name = "trade_money")
    private BigDecimal tradeMoney;

    /**
     * 欠款单交易欠款金额
     */
    @Column(name = "debt_money")
    private BigDecimal debtMoney;

    /**
     * 还款日期
     */
    @Column(name = "repay_date")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date repayDate;

    /**
     * 还款金额
     */
    @Column(name = "repay_money")
    private BigDecimal repayMoney;

    /**
     * 支付金额
     */
    @Column(name = "pay_money")
    private BigDecimal payMoney;

    /**
     * 疗程现付销售业绩标准
     */
    @Column(name = "sales_achievement")
    private BigDecimal salesAchievement;

    /**
     * 疗程现付销售提成标准
     */
    @Column(name = "sales_commission")
    private BigDecimal salesCommission;

    /**
     * 疗程卡付销售业绩标准
     */
    @Column(name = "card_sales_achievement")
    private BigDecimal cardSalesAchievement;

    /**
     * 疗程卡付销售提成标准
     */
    @Column(name = "card_sales_commission")
    private BigDecimal cardSalesCommission;

    /**
     * 充值提成比率
     */
    @Column(name = "type_ratio")
    private BigDecimal typeRatio;

    /**
     * 销售员1水牌号
     */
    @Column(name = "sale_one_number")
    private String saleOneNumber;

    /**
     * 销售员2水牌号
     */
    @Column(name = "sale_two_number")
    private String saleTwoNumber;

    /**
     * 销售员3水牌号
     */
    @Column(name = "sale_three_number")
    private String saleThreeNumber;

    /**
     * 销售员4水牌号
     */
    @Column(name = "sale_four_number")
    private String saleFourNumber;

    /**
     * 销售员1编码
     */
    @Column(name = "sale_one_staff_id")
    private Long saleOneStaffId;

    /**
     * 销售员2编码
     */
    @Column(name = "sale_two_staff_id")
    private Long saleTwoStaffId;

    /**
     * 销售员3编码
     */
    @Column(name = "sale_three_staff_id")
    private Long saleThreeStaffId;

    /**
     * 销售员4编码
     */
    @Column(name = "sale_four_staff_id")
    private Long saleFourStaffId;

    /**
     * 销售员1名称
     */
    @Column(name = "sale_one_staff_name")
    private String saleOneStaffName;

    /**
     * 销售员2名称
     */
    @Column(name = "sale_two_staff_name")
    private String saleTwoStaffName;

    /**
     * 销售员3名称
     */
    @Column(name = "sale_three_staff_name")
    private String saleThreeStaffName;

    /**
     * 销售员4名称
     */
    @Column(name = "sale_four_staff_name")
    private String saleFourStaffName;

    /**
     * 销售员1身份证号
     */
    @Column(name = "sale_one_identity")
    private String saleOneIdentity;

    /**
     * 销售员2身份证号
     */
    @Column(name = "sale_two_identity")
    private String saleTwoIdentity;

    /**
     * 销售员3身份证号
     */
    @Column(name = "sale_three_identity")
    private String saleThreeIdentity;

    /**
     * 销售员4身份证号
     */
    @Column(name = "sale_four_identity")
    private String saleFourIdentity;

    /**
     * 销售员1占比
     */
    @Column(name = "sale_one_ratio")
    private BigDecimal saleOneRatio;

    /**
     * 销售员2占比
     */
    @Column(name = "sale_two_ratio")
    private BigDecimal saleTwoRatio;

    /**
     * 销售员3占比
     */
    @Column(name = "sale_three_ratio")
    private BigDecimal saleThreeRatio;

    /**
     * 销售员4占比
     */
    @Column(name = "sale_four_ratio")
    private BigDecimal saleFourRatio;

    /**
     * 销售员1业绩
     */
    @Column(name = "sale_one_achievement_amount")
    private BigDecimal saleOneAchievementAmount;

    /**
     * 销售员2业绩
     */
    @Column(name = "sale_two_achievement_amount")
    private BigDecimal saleTwoAchievementAmount;

    /**
     * 销售员3业绩
     */
    @Column(name = "sale_three_achievement_amount")
    private BigDecimal saleThreeAchievementAmount;

    /**
     * 销售员4业绩
     */
    @Column(name = "sale_four_achievement_amount")
    private BigDecimal saleFourAchievementAmount;

    /**
     * 销售员1提成
     */
    @Column(name = "sale_one_commission_amount")
    private BigDecimal saleOneCommissionAmount;

    /**
     * 销售员2提成
     */
    @Column(name = "sale_two_commission_amount")
    private BigDecimal saleTwoCommissionAmount;

    /**
     * 销售员3提成
     */
    @Column(name = "sale_three_commission_amount")
    private BigDecimal saleThreeCommissionAmount;

    /**
     * 销售员4提成
     */
    @Column(name = "sale_four_commission_amount")
    private BigDecimal saleFourCommissionAmount;

    /**
     * 现付销售业绩
     */
    @Column(name = "achievement_amount")
    private BigDecimal achievementAmount;

    /**
     * 现付销售提成
     */
    @Column(name = "commission_amount")
    private BigDecimal commissionAmount;

    /**
     * 卡付销售业绩
     */
    @Column(name = "card_achievement_amount")
    private BigDecimal cardAchievementAmount;

    /**
     * 卡付销售提成
     */
    @Column(name = "card_commission_amount")
    private BigDecimal cardCommissionAmount;

    /**
     * 账户ID
     */
    @Column(name = "account_id")
    private Long accountId;

    /**
     * 门店高管编码
     */
    @Column(name = "manage_staff_id")
    private Long manageStaffId;

    /**
     * 门店高管名称
     */
    @Column(name = "manage_staff_name")
    private String manageStaffName;

    /**
     * 门店高管身份证号
     */
    @Column(name = "manage_identity")
    private String manageIdentity;

    /**
     * 门店高管水牌号
     */
    @Column(name = "manage_number")
    private String manageNumber;

    /**
     * 欠款单主键ID
     */
    @Column(name = "debt_id")
    private Long debtId;


    /**
     * 支付金额
     */
    @Column(name = "pay_recharge_money")
    private BigDecimal payRechargeMoney;

    /**
     * 取消前单价
     */
    @Column(name = "before_price")
    private BigDecimal beforePrice;
    /**
     * 取消前剩余金额
     */
    @Column(name = "before_rest_money")
    private BigDecimal beforeRestMoney;
    /**
     * 取消前可用金额
     */
    @Column(name = "before_consume_money")
    private BigDecimal beforeConsumeMoney;

    /**
     * 取消前剩余赠送金额
     */
    @Column(name = "before_gift_consume_money")
    private BigDecimal beforeGiftConsumeMoney;

    /**
     * 取消前可用赠送金额
     */
    @Column(name = "before_gift_rest_money")
    private BigDecimal beforeGiftRestMoney;

    /**
     * 取消前剩余次数
     */
    @Column(name = "before_rest_count")
    private Integer  beforeRestCount;
    /**
     * 取消前可用次数
     */
    @Column(name = "before_consume_count")
    private Integer beforeConsumeCount;


    /**
     * 取消后单价
     */
    @Column(name = "back_price")
    private BigDecimal backPrice;
    /**
     * 取消后剩余金额
     */
    @Column(name = "back_rest_money")
    private BigDecimal backRestMoney;
    /**
     * 取消后可用金额
     */
    @Column(name = "back_consume_money")
    private BigDecimal backConsumeMoney;


    /**
     * 取消前剩余赠送金额
     */
    @Column(name = "back_gift_consume_money")
    private BigDecimal backGiftConsumeMoney;

    /**
     * 取消前可用赠送金额
     */
    @Column(name = "back_gift_rest_money")
    private BigDecimal backGiftRestMoney;

    /**
     * 取消后剩余次数
     */
    @Column(name = "back_rest_count")
    private Integer  backRestCount;
    /**
     * 取消后可用次数
     */
    @Column(name = "back_consume_count")
    private Integer backConsumeCount;

    public BigDecimal getBeforePrice() {
        return beforePrice;
    }

    public void setBeforePrice(BigDecimal beforePrice) {
        this.beforePrice = beforePrice;
    }

    public BigDecimal getBeforeRestMoney() {
        return beforeRestMoney;
    }

    public void setBeforeRestMoney(BigDecimal beforeRestMoney) {
        this.beforeRestMoney = beforeRestMoney;
    }

    public BigDecimal getBeforeConsumeMoney() {
        return beforeConsumeMoney;
    }

    public void setBeforeConsumeMoney(BigDecimal beforeConsumeMoney) {
        this.beforeConsumeMoney = beforeConsumeMoney;
    }

    public BigDecimal getBeforeGiftConsumeMoney() {
        return beforeGiftConsumeMoney;
    }

    public void setBeforeGiftConsumeMoney(BigDecimal beforeGiftConsumeMoney) {
        this.beforeGiftConsumeMoney = beforeGiftConsumeMoney;
    }

    public BigDecimal getBeforeGiftRestMoney() {
        return beforeGiftRestMoney;
    }

    public void setBeforeGiftRestMoney(BigDecimal beforeGiftRestMoney) {
        this.beforeGiftRestMoney = beforeGiftRestMoney;
    }

    public Integer getBeforeRestCount() {
        return beforeRestCount;
    }

    public void setBeforeRestCount(Integer beforeRestCount) {
        this.beforeRestCount = beforeRestCount;
    }

    public Integer getBeforeConsumeCount() {
        return beforeConsumeCount;
    }

    public void setBeforeConsumeCount(Integer beforeConsumeCount) {
        this.beforeConsumeCount = beforeConsumeCount;
    }

    public BigDecimal getBackPrice() {
        return backPrice;
    }

    public void setBackPrice(BigDecimal backPrice) {
        this.backPrice = backPrice;
    }

    public BigDecimal getBackRestMoney() {
        return backRestMoney;
    }

    public void setBackRestMoney(BigDecimal backRestMoney) {
        this.backRestMoney = backRestMoney;
    }

    public BigDecimal getBackConsumeMoney() {
        return backConsumeMoney;
    }

    public void setBackConsumeMoney(BigDecimal backConsumeMoney) {
        this.backConsumeMoney = backConsumeMoney;
    }

    public BigDecimal getBackGiftConsumeMoney() {
        return backGiftConsumeMoney;
    }

    public void setBackGiftConsumeMoney(BigDecimal backGiftConsumeMoney) {
        this.backGiftConsumeMoney = backGiftConsumeMoney;
    }

    public BigDecimal getBackGiftRestMoney() {
        return backGiftRestMoney;
    }

    public void setBackGiftRestMoney(BigDecimal backGiftRestMoney) {
        this.backGiftRestMoney = backGiftRestMoney;
    }

    public Integer getBackRestCount() {
        return backRestCount;
    }

    public void setBackRestCount(Integer backRestCount) {
        this.backRestCount = backRestCount;
    }

    public Integer getBackConsumeCount() {
        return backConsumeCount;
    }

    public void setBackConsumeCount(Integer backConsumeCount) {
        this.backConsumeCount = backConsumeCount;
    }

    public BigDecimal getPayRechargeMoney() {
        return payRechargeMoney;
    }

    public void setPayRechargeMoney(BigDecimal payRechargeMoney) {
        this.payRechargeMoney = payRechargeMoney;
    }

    public Long getBelongingStoreId() {
        return belongingStoreId;
    }

    public void setBelongingStoreId(Long belongingStoreId) {
        this.belongingStoreId = belongingStoreId;
    }

    public String getBelongingStoreName() {
        return belongingStoreName;
    }

    public void setBelongingStoreName(String belongingStoreName) {
        this.belongingStoreName = belongingStoreName;
    }

    private static final long serialVersionUID = 1L;

    /**
     * 获取主键ID
     *
     * @return id - 主键ID
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置主键ID
     *
     * @param id 主键ID
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 获取还款单据号
     *
     * @return repay_num - 还款单据号
     */
    public String getRepayNum() {
        return repayNum;
    }

    /**
     * 设置还款单据号
     *
     * @param repayNum 还款单据号
     */
    public void setRepayNum(String repayNum) {
        this.repayNum = repayNum;
    }

    /**
     * 获取门店编码
     *
     * @return store_id - 门店编码
     */
    public Long getStoreId() {
        return storeId;
    }

    /**
     * 设置门店编码
     *
     * @param storeId 门店编码
     */
    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    /**
     * 获取门店名称
     *
     * @return store_name - 门店名称
     */
    public String getStoreName() {
        return storeName;
    }

    /**
     * 设置门店名称
     *
     * @param storeName 门店名称
     */
    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    /**
     * 获取会员编码
     *
     * @return member_id - 会员编码
     */
    public Long getMemberId() {
        return memberId;
    }

    /**
     * 设置会员编码
     *
     * @param memberId 会员编码
     */
    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    /**
     * 获取会员名称
     *
     * @return member_name - 会员名称
     */
    public String getMemberName() {
        return memberName;
    }

    /**
     * 设置会员名称
     *
     * @param memberName 会员名称
     */
    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    /**
     * 获取会员身份证号
     *
     * @return member_identity_card - 会员身份证号
     */
    public String getMemberIdentityCard() {
        return memberIdentityCard;
    }

    /**
     * 设置会员身份证号
     *
     * @param memberIdentityCard 会员身份证号
     */
    public void setMemberIdentityCard(String memberIdentityCard) {
        this.memberIdentityCard = memberIdentityCard;
    }

    /**
     * 获取手机
     *
     * @return mobile_phone - 手机
     */
    public String getMobilePhone() {
        return mobilePhone;
    }

    /**
     * 设置手机
     *
     * @param mobilePhone 手机
     */
    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    /**
     * 获取欠款单ID
     *
     * @return doc_id - 欠款单ID
     */
    public Long getDocId() {
        return docId;
    }

    /**
     * 设置欠款单ID
     *
     * @param docId 欠款单ID
     */
    public void setDocId(Long docId) {
        this.docId = docId;
    }

    /**
     * 获取欠款单据号
     *
     * @return doc_num - 欠款单据号
     */
    public String getDocNum() {
        return docNum;
    }

    /**
     * 设置欠款单据号
     *
     * @param docNum 欠款单据号
     */
    public void setDocNum(String docNum) {
        this.docNum = docNum;
    }

    /**
     * 获取欠款单类别
     *
     * @return doc_type - 欠款单类别
     */
    public String getDocType() {
        return docType;
    }

    /**
     * 设置欠款单类别
     *
     * @param docType 欠款单类别
     */
    public void setDocType(String docType) {
        this.docType = docType;
    }

    /**
     * 获取欠款单交易ID
     *
     * @return trade_id - 欠款单交易ID
     */
    public Long getTradeId() {
        return tradeId;
    }

    /**
     * 设置欠款单交易ID
     *
     * @param tradeId 欠款单交易ID
     */
    public void setTradeId(Long tradeId) {
        this.tradeId = tradeId;
    }

    /**
     * 获取欠款单交易名称
     *
     * @return trade_name - 欠款单交易名称
     */
    public String getTradeName() {
        return tradeName;
    }

    /**
     * 设置欠款单交易名称
     *
     * @param tradeName 欠款单交易名称
     */
    public void setTradeName(String tradeName) {
        this.tradeName = tradeName;
    }

    /**
     * 获取欠款单交易单价
     *
     * @return trade_money - 欠款单交易单价
     */
    public BigDecimal getTradeMoney() {
        return tradeMoney;
    }

    /**
     * 设置欠款单交易单价
     *
     * @param tradeMoney 欠款单交易单价
     */
    public void setTradeMoney(BigDecimal tradeMoney) {
        this.tradeMoney = tradeMoney;
    }

    /**
     * 获取欠款单交易欠款金额
     *
     * @return debt_money - 欠款单交易欠款金额
     */
    public BigDecimal getDebtMoney() {
        return debtMoney;
    }

    /**
     * 设置欠款单交易欠款金额
     *
     * @param debtMoney 欠款单交易欠款金额
     */
    public void setDebtMoney(BigDecimal debtMoney) {
        this.debtMoney = debtMoney;
    }

    /**
     * 获取还款日期
     *
     * @return repay_date - 还款日期
     */
    public Date getRepayDate() {
        return repayDate;
    }

    /**
     * 设置还款日期
     *
     * @param repayDate 还款日期
     */
    public void setRepayDate(Date repayDate) {
        this.repayDate = repayDate;
    }

    /**
     * 获取还款金额
     *
     * @return repay_money - 还款金额
     */
    public BigDecimal getRepayMoney() {
        return repayMoney;
    }

    /**
     * 设置还款金额
     *
     * @param repayMoney 还款金额
     */
    public void setRepayMoney(BigDecimal repayMoney) {
        this.repayMoney = repayMoney;
    }

    /**
     * 获取支付金额
     *
     * @return pay_money - 支付金额
     */
    public BigDecimal getPayMoney() {
        return payMoney;
    }

    /**
     * 设置支付金额
     *
     * @param payMoney 支付金额
     */
    public void setPayMoney(BigDecimal payMoney) {
        this.payMoney = payMoney;
    }

    /**
     * 获取疗程现付销售业绩标准
     *
     * @return sales_achievement - 疗程现付销售业绩标准
     */
    public BigDecimal getSalesAchievement() {
        return salesAchievement;
    }

    /**
     * 设置疗程现付销售业绩标准
     *
     * @param salesAchievement 疗程现付销售业绩标准
     */
    public void setSalesAchievement(BigDecimal salesAchievement) {
        this.salesAchievement = salesAchievement;
    }

    /**
     * 获取疗程现付销售提成标准
     *
     * @return sales_commission - 疗程现付销售提成标准
     */
    public BigDecimal getSalesCommission() {
        return salesCommission;
    }

    /**
     * 设置疗程现付销售提成标准
     *
     * @param salesCommission 疗程现付销售提成标准
     */
    public void setSalesCommission(BigDecimal salesCommission) {
        this.salesCommission = salesCommission;
    }

    /**
     * 获取疗程卡付销售业绩标准
     *
     * @return card_sales_achievement - 疗程卡付销售业绩标准
     */
    public BigDecimal getCardSalesAchievement() {
        return cardSalesAchievement;
    }

    /**
     * 设置疗程卡付销售业绩标准
     *
     * @param cardSalesAchievement 疗程卡付销售业绩标准
     */
    public void setCardSalesAchievement(BigDecimal cardSalesAchievement) {
        this.cardSalesAchievement = cardSalesAchievement;
    }

    /**
     * 获取疗程卡付销售提成标准
     *
     * @return card_sales_commission - 疗程卡付销售提成标准
     */
    public BigDecimal getCardSalesCommission() {
        return cardSalesCommission;
    }

    /**
     * 设置疗程卡付销售提成标准
     *
     * @param cardSalesCommission 疗程卡付销售提成标准
     */
    public void setCardSalesCommission(BigDecimal cardSalesCommission) {
        this.cardSalesCommission = cardSalesCommission;
    }

    /**
     * 获取充值提成比率
     *
     * @return type_ratio - 充值提成比率
     */
    public BigDecimal getTypeRatio() {
        return typeRatio;
    }

    /**
     * 设置充值提成比率
     *
     * @param typeRatio 充值提成比率
     */
    public void setTypeRatio(BigDecimal typeRatio) {
        this.typeRatio = typeRatio;
    }

    /**
     * 获取销售员1水牌号
     *
     * @return sale_one_number - 销售员1水牌号
     */
    public String getSaleOneNumber() {
        return saleOneNumber;
    }

    /**
     * 设置销售员1水牌号
     *
     * @param saleOneNumber 销售员1水牌号
     */
    public void setSaleOneNumber(String saleOneNumber) {
        this.saleOneNumber = saleOneNumber;
    }

    /**
     * 获取销售员2水牌号
     *
     * @return sale_two_number - 销售员2水牌号
     */
    public String getSaleTwoNumber() {
        return saleTwoNumber;
    }

    /**
     * 设置销售员2水牌号
     *
     * @param saleTwoNumber 销售员2水牌号
     */
    public void setSaleTwoNumber(String saleTwoNumber) {
        this.saleTwoNumber = saleTwoNumber;
    }

    /**
     * 获取销售员3水牌号
     *
     * @return sale_three_number - 销售员3水牌号
     */
    public String getSaleThreeNumber() {
        return saleThreeNumber;
    }

    /**
     * 设置销售员3水牌号
     *
     * @param saleThreeNumber 销售员3水牌号
     */
    public void setSaleThreeNumber(String saleThreeNumber) {
        this.saleThreeNumber = saleThreeNumber;
    }

    /**
     * 获取销售员4水牌号
     *
     * @return sale_four_number - 销售员4水牌号
     */
    public String getSaleFourNumber() {
        return saleFourNumber;
    }

    /**
     * 设置销售员4水牌号
     *
     * @param saleFourNumber 销售员4水牌号
     */
    public void setSaleFourNumber(String saleFourNumber) {
        this.saleFourNumber = saleFourNumber;
    }

    /**
     * 获取销售员1编码
     *
     * @return sale_one_staff_id - 销售员1编码
     */
    public Long getSaleOneStaffId() {
        return saleOneStaffId;
    }

    /**
     * 设置销售员1编码
     *
     * @param saleOneStaffId 销售员1编码
     */
    public void setSaleOneStaffId(Long saleOneStaffId) {
        this.saleOneStaffId = saleOneStaffId;
    }

    /**
     * 获取销售员2编码
     *
     * @return sale_two_staff_id - 销售员2编码
     */
    public Long getSaleTwoStaffId() {
        return saleTwoStaffId;
    }

    /**
     * 设置销售员2编码
     *
     * @param saleTwoStaffId 销售员2编码
     */
    public void setSaleTwoStaffId(Long saleTwoStaffId) {
        this.saleTwoStaffId = saleTwoStaffId;
    }

    /**
     * 获取销售员3编码
     *
     * @return sale_three_staff_id - 销售员3编码
     */
    public Long getSaleThreeStaffId() {
        return saleThreeStaffId;
    }

    /**
     * 设置销售员3编码
     *
     * @param saleThreeStaffId 销售员3编码
     */
    public void setSaleThreeStaffId(Long saleThreeStaffId) {
        this.saleThreeStaffId = saleThreeStaffId;
    }

    /**
     * 获取销售员4编码
     *
     * @return sale_four_staff_id - 销售员4编码
     */
    public Long getSaleFourStaffId() {
        return saleFourStaffId;
    }

    /**
     * 设置销售员4编码
     *
     * @param saleFourStaffId 销售员4编码
     */
    public void setSaleFourStaffId(Long saleFourStaffId) {
        this.saleFourStaffId = saleFourStaffId;
    }

    /**
     * 获取销售员1名称
     *
     * @return sale_one_staff_name - 销售员1名称
     */
    public String getSaleOneStaffName() {
        return saleOneStaffName;
    }

    /**
     * 设置销售员1名称
     *
     * @param saleOneStaffName 销售员1名称
     */
    public void setSaleOneStaffName(String saleOneStaffName) {
        this.saleOneStaffName = saleOneStaffName;
    }

    /**
     * 获取销售员2名称
     *
     * @return sale_two_staff_name - 销售员2名称
     */
    public String getSaleTwoStaffName() {
        return saleTwoStaffName;
    }

    /**
     * 设置销售员2名称
     *
     * @param saleTwoStaffName 销售员2名称
     */
    public void setSaleTwoStaffName(String saleTwoStaffName) {
        this.saleTwoStaffName = saleTwoStaffName;
    }

    /**
     * 获取销售员3名称
     *
     * @return sale_three_staff_name - 销售员3名称
     */
    public String getSaleThreeStaffName() {
        return saleThreeStaffName;
    }

    /**
     * 设置销售员3名称
     *
     * @param saleThreeStaffName 销售员3名称
     */
    public void setSaleThreeStaffName(String saleThreeStaffName) {
        this.saleThreeStaffName = saleThreeStaffName;
    }

    /**
     * 获取销售员4名称
     *
     * @return sale_four_staff_name - 销售员4名称
     */
    public String getSaleFourStaffName() {
        return saleFourStaffName;
    }

    /**
     * 设置销售员4名称
     *
     * @param saleFourStaffName 销售员4名称
     */
    public void setSaleFourStaffName(String saleFourStaffName) {
        this.saleFourStaffName = saleFourStaffName;
    }

    /**
     * 获取销售员1身份证号
     *
     * @return sale_one_identity - 销售员1身份证号
     */
    public String getSaleOneIdentity() {
        return saleOneIdentity;
    }

    /**
     * 设置销售员1身份证号
     *
     * @param saleOneIdentity 销售员1身份证号
     */
    public void setSaleOneIdentity(String saleOneIdentity) {
        this.saleOneIdentity = saleOneIdentity;
    }

    /**
     * 获取销售员2身份证号
     *
     * @return sale_two_identity - 销售员2身份证号
     */
    public String getSaleTwoIdentity() {
        return saleTwoIdentity;
    }

    /**
     * 设置销售员2身份证号
     *
     * @param saleTwoIdentity 销售员2身份证号
     */
    public void setSaleTwoIdentity(String saleTwoIdentity) {
        this.saleTwoIdentity = saleTwoIdentity;
    }

    /**
     * 获取销售员3身份证号
     *
     * @return sale_three_identity - 销售员3身份证号
     */
    public String getSaleThreeIdentity() {
        return saleThreeIdentity;
    }

    /**
     * 设置销售员3身份证号
     *
     * @param saleThreeIdentity 销售员3身份证号
     */
    public void setSaleThreeIdentity(String saleThreeIdentity) {
        this.saleThreeIdentity = saleThreeIdentity;
    }

    /**
     * 获取销售员4身份证号
     *
     * @return sale_four_identity - 销售员4身份证号
     */
    public String getSaleFourIdentity() {
        return saleFourIdentity;
    }

    /**
     * 设置销售员4身份证号
     *
     * @param saleFourIdentity 销售员4身份证号
     */
    public void setSaleFourIdentity(String saleFourIdentity) {
        this.saleFourIdentity = saleFourIdentity;
    }

    /**
     * 获取销售员1占比
     *
     * @return sale_one_ratio - 销售员1占比
     */
    public BigDecimal getSaleOneRatio() {
        return saleOneRatio;
    }

    /**
     * 设置销售员1占比
     *
     * @param saleOneRatio 销售员1占比
     */
    public void setSaleOneRatio(BigDecimal saleOneRatio) {
        this.saleOneRatio = saleOneRatio;
    }

    /**
     * 获取销售员2占比
     *
     * @return sale_two_ratio - 销售员2占比
     */
    public BigDecimal getSaleTwoRatio() {
        return saleTwoRatio;
    }

    /**
     * 设置销售员2占比
     *
     * @param saleTwoRatio 销售员2占比
     */
    public void setSaleTwoRatio(BigDecimal saleTwoRatio) {
        this.saleTwoRatio = saleTwoRatio;
    }

    /**
     * 获取销售员3占比
     *
     * @return sale_three_ratio - 销售员3占比
     */
    public BigDecimal getSaleThreeRatio() {
        return saleThreeRatio;
    }

    /**
     * 设置销售员3占比
     *
     * @param saleThreeRatio 销售员3占比
     */
    public void setSaleThreeRatio(BigDecimal saleThreeRatio) {
        this.saleThreeRatio = saleThreeRatio;
    }

    /**
     * 获取销售员4占比
     *
     * @return sale_four_ratio - 销售员4占比
     */
    public BigDecimal getSaleFourRatio() {
        return saleFourRatio;
    }

    /**
     * 设置销售员4占比
     *
     * @param saleFourRatio 销售员4占比
     */
    public void setSaleFourRatio(BigDecimal saleFourRatio) {
        this.saleFourRatio = saleFourRatio;
    }

    /**
     * 获取销售员1业绩
     *
     * @return sale_one_achievement_amount - 销售员1业绩
     */
    public BigDecimal getSaleOneAchievementAmount() {
        return saleOneAchievementAmount;
    }

    /**
     * 设置销售员1业绩
     *
     * @param saleOneAchievementAmount 销售员1业绩
     */
    public void setSaleOneAchievementAmount(BigDecimal saleOneAchievementAmount) {
        this.saleOneAchievementAmount = saleOneAchievementAmount;
    }

    /**
     * 获取销售员2业绩
     *
     * @return sale_two_achievement_amount - 销售员2业绩
     */
    public BigDecimal getSaleTwoAchievementAmount() {
        return saleTwoAchievementAmount;
    }

    /**
     * 设置销售员2业绩
     *
     * @param saleTwoAchievementAmount 销售员2业绩
     */
    public void setSaleTwoAchievementAmount(BigDecimal saleTwoAchievementAmount) {
        this.saleTwoAchievementAmount = saleTwoAchievementAmount;
    }

    /**
     * 获取销售员3业绩
     *
     * @return sale_three_achievement_amount - 销售员3业绩
     */
    public BigDecimal getSaleThreeAchievementAmount() {
        return saleThreeAchievementAmount;
    }

    /**
     * 设置销售员3业绩
     *
     * @param saleThreeAchievementAmount 销售员3业绩
     */
    public void setSaleThreeAchievementAmount(BigDecimal saleThreeAchievementAmount) {
        this.saleThreeAchievementAmount = saleThreeAchievementAmount;
    }

    /**
     * 获取销售员4业绩
     *
     * @return sale_four_achievement_amount - 销售员4业绩
     */
    public BigDecimal getSaleFourAchievementAmount() {
        return saleFourAchievementAmount;
    }

    /**
     * 设置销售员4业绩
     *
     * @param saleFourAchievementAmount 销售员4业绩
     */
    public void setSaleFourAchievementAmount(BigDecimal saleFourAchievementAmount) {
        this.saleFourAchievementAmount = saleFourAchievementAmount;
    }

    /**
     * 获取销售员1提成
     *
     * @return sale_one_commission_amount - 销售员1提成
     */
    public BigDecimal getSaleOneCommissionAmount() {
        return saleOneCommissionAmount;
    }

    /**
     * 设置销售员1提成
     *
     * @param saleOneCommissionAmount 销售员1提成
     */
    public void setSaleOneCommissionAmount(BigDecimal saleOneCommissionAmount) {
        this.saleOneCommissionAmount = saleOneCommissionAmount;
    }

    /**
     * 获取销售员2提成
     *
     * @return sale_two_commission_amount - 销售员2提成
     */
    public BigDecimal getSaleTwoCommissionAmount() {
        return saleTwoCommissionAmount;
    }

    /**
     * 设置销售员2提成
     *
     * @param saleTwoCommissionAmount 销售员2提成
     */
    public void setSaleTwoCommissionAmount(BigDecimal saleTwoCommissionAmount) {
        this.saleTwoCommissionAmount = saleTwoCommissionAmount;
    }

    /**
     * 获取销售员3提成
     *
     * @return sale_three_commission_amount - 销售员3提成
     */
    public BigDecimal getSaleThreeCommissionAmount() {
        return saleThreeCommissionAmount;
    }

    /**
     * 设置销售员3提成
     *
     * @param saleThreeCommissionAmount 销售员3提成
     */
    public void setSaleThreeCommissionAmount(BigDecimal saleThreeCommissionAmount) {
        this.saleThreeCommissionAmount = saleThreeCommissionAmount;
    }

    /**
     * 获取销售员4提成
     *
     * @return sale_four_commission_amount - 销售员4提成
     */
    public BigDecimal getSaleFourCommissionAmount() {
        return saleFourCommissionAmount;
    }

    /**
     * 设置销售员4提成
     *
     * @param saleFourCommissionAmount 销售员4提成
     */
    public void setSaleFourCommissionAmount(BigDecimal saleFourCommissionAmount) {
        this.saleFourCommissionAmount = saleFourCommissionAmount;
    }

    /**
     * 获取现付销售业绩
     *
     * @return achievement_amount - 现付销售业绩
     */
    public BigDecimal getAchievementAmount() {
        return achievementAmount;
    }

    /**
     * 设置现付销售业绩
     *
     * @param achievementAmount 现付销售业绩
     */
    public void setAchievementAmount(BigDecimal achievementAmount) {
        this.achievementAmount = achievementAmount;
    }

    /**
     * 获取现付销售提成
     *
     * @return commission_amount - 现付销售提成
     */
    public BigDecimal getCommissionAmount() {
        return commissionAmount;
    }

    /**
     * 设置现付销售提成
     *
     * @param commissionAmount 现付销售提成
     */
    public void setCommissionAmount(BigDecimal commissionAmount) {
        this.commissionAmount = commissionAmount;
    }

    /**
     * 获取卡付销售业绩
     *
     * @return card_achievement_amount - 卡付销售业绩
     */
    public BigDecimal getCardAchievementAmount() {
        return cardAchievementAmount;
    }

    /**
     * 设置卡付销售业绩
     *
     * @param cardAchievementAmount 卡付销售业绩
     */
    public void setCardAchievementAmount(BigDecimal cardAchievementAmount) {
        this.cardAchievementAmount = cardAchievementAmount;
    }

    /**
     * 获取卡付销售提成
     *
     * @return card_commission_amount - 卡付销售提成
     */
    public BigDecimal getCardCommissionAmount() {
        return cardCommissionAmount;
    }

    /**
     * 设置卡付销售提成
     *
     * @param cardCommissionAmount 卡付销售提成
     */
    public void setCardCommissionAmount(BigDecimal cardCommissionAmount) {
        this.cardCommissionAmount = cardCommissionAmount;
    }

    /**
     * 获取账户ID
     *
     * @return account_id - 账户ID
     */
    public Long getAccountId() {
        return accountId;
    }

    /**
     * 设置账户ID
     *
     * @param accountId 账户ID
     */
    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }

    /**
     * 获取门店高管编码
     *
     * @return manage_staff_id - 门店高管编码
     */
    public Long getManageStaffId() {
        return manageStaffId;
    }

    /**
     * 设置门店高管编码
     *
     * @param manageStaffId 门店高管编码
     */
    public void setManageStaffId(Long manageStaffId) {
        this.manageStaffId = manageStaffId;
    }

    /**
     * 获取门店高管名称
     *
     * @return manage_staff_name - 门店高管名称
     */
    public String getManageStaffName() {
        return manageStaffName;
    }

    /**
     * 设置门店高管名称
     *
     * @param manageStaffName 门店高管名称
     */
    public void setManageStaffName(String manageStaffName) {
        this.manageStaffName = manageStaffName;
    }

    /**
     * 获取门店高管身份证号
     *
     * @return manage_identity - 门店高管身份证号
     */
    public String getManageIdentity() {
        return manageIdentity;
    }

    /**
     * 设置门店高管身份证号
     *
     * @param manageIdentity 门店高管身份证号
     */
    public void setManageIdentity(String manageIdentity) {
        this.manageIdentity = manageIdentity;
    }

    /**
     * 获取门店高管水牌号
     *
     * @return manage_number - 门店高管水牌号
     */
    public String getManageNumber() {
        return manageNumber;
    }

    /**
     * 设置门店高管水牌号
     *
     * @param manageNumber 门店高管水牌号
     */
    public void setManageNumber(String manageNumber) {
        this.manageNumber = manageNumber;
    }

    /**
     * 获取欠款单主键ID
     *
     * @return debt_id - 欠款单主键ID
     */
    public Long getDebtId() {
        return debtId;
    }

    /**
     * 设置欠款单主键ID
     *
     * @param debtId 欠款单主键ID
     */
    public void setDebtId(Long debtId) {
        this.debtId = debtId;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        RepayTradeList other = (RepayTradeList) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getRepayNum() == null ? other.getRepayNum() == null : this.getRepayNum().equals(other.getRepayNum()))
            && (this.getStoreId() == null ? other.getStoreId() == null : this.getStoreId().equals(other.getStoreId()))
            && (this.getStoreName() == null ? other.getStoreName() == null : this.getStoreName().equals(other.getStoreName()))
            && (this.getMemberId() == null ? other.getMemberId() == null : this.getMemberId().equals(other.getMemberId()))
            && (this.getMemberName() == null ? other.getMemberName() == null : this.getMemberName().equals(other.getMemberName()))
            && (this.getMemberIdentityCard() == null ? other.getMemberIdentityCard() == null : this.getMemberIdentityCard().equals(other.getMemberIdentityCard()))
            && (this.getMobilePhone() == null ? other.getMobilePhone() == null : this.getMobilePhone().equals(other.getMobilePhone()))
            && (this.getDocId() == null ? other.getDocId() == null : this.getDocId().equals(other.getDocId()))
            && (this.getDocNum() == null ? other.getDocNum() == null : this.getDocNum().equals(other.getDocNum()))
            && (this.getDocType() == null ? other.getDocType() == null : this.getDocType().equals(other.getDocType()))
            && (this.getTradeId() == null ? other.getTradeId() == null : this.getTradeId().equals(other.getTradeId()))
            && (this.getTradeName() == null ? other.getTradeName() == null : this.getTradeName().equals(other.getTradeName()))
            && (this.getTradeMoney() == null ? other.getTradeMoney() == null : this.getTradeMoney().equals(other.getTradeMoney()))
            && (this.getDebtMoney() == null ? other.getDebtMoney() == null : this.getDebtMoney().equals(other.getDebtMoney()))
            && (this.getRepayDate() == null ? other.getRepayDate() == null : this.getRepayDate().equals(other.getRepayDate()))
            && (this.getRepayMoney() == null ? other.getRepayMoney() == null : this.getRepayMoney().equals(other.getRepayMoney()))
            && (this.getPayMoney() == null ? other.getPayMoney() == null : this.getPayMoney().equals(other.getPayMoney()))
            && (this.getSalesAchievement() == null ? other.getSalesAchievement() == null : this.getSalesAchievement().equals(other.getSalesAchievement()))
            && (this.getSalesCommission() == null ? other.getSalesCommission() == null : this.getSalesCommission().equals(other.getSalesCommission()))
            && (this.getCardSalesAchievement() == null ? other.getCardSalesAchievement() == null : this.getCardSalesAchievement().equals(other.getCardSalesAchievement()))
            && (this.getCardSalesCommission() == null ? other.getCardSalesCommission() == null : this.getCardSalesCommission().equals(other.getCardSalesCommission()))
            && (this.getTypeRatio() == null ? other.getTypeRatio() == null : this.getTypeRatio().equals(other.getTypeRatio()))
            && (this.getSaleOneNumber() == null ? other.getSaleOneNumber() == null : this.getSaleOneNumber().equals(other.getSaleOneNumber()))
            && (this.getSaleTwoNumber() == null ? other.getSaleTwoNumber() == null : this.getSaleTwoNumber().equals(other.getSaleTwoNumber()))
            && (this.getSaleThreeNumber() == null ? other.getSaleThreeNumber() == null : this.getSaleThreeNumber().equals(other.getSaleThreeNumber()))
            && (this.getSaleFourNumber() == null ? other.getSaleFourNumber() == null : this.getSaleFourNumber().equals(other.getSaleFourNumber()))
            && (this.getSaleOneStaffId() == null ? other.getSaleOneStaffId() == null : this.getSaleOneStaffId().equals(other.getSaleOneStaffId()))
            && (this.getSaleTwoStaffId() == null ? other.getSaleTwoStaffId() == null : this.getSaleTwoStaffId().equals(other.getSaleTwoStaffId()))
            && (this.getSaleThreeStaffId() == null ? other.getSaleThreeStaffId() == null : this.getSaleThreeStaffId().equals(other.getSaleThreeStaffId()))
            && (this.getSaleFourStaffId() == null ? other.getSaleFourStaffId() == null : this.getSaleFourStaffId().equals(other.getSaleFourStaffId()))
            && (this.getSaleOneStaffName() == null ? other.getSaleOneStaffName() == null : this.getSaleOneStaffName().equals(other.getSaleOneStaffName()))
            && (this.getSaleTwoStaffName() == null ? other.getSaleTwoStaffName() == null : this.getSaleTwoStaffName().equals(other.getSaleTwoStaffName()))
            && (this.getSaleThreeStaffName() == null ? other.getSaleThreeStaffName() == null : this.getSaleThreeStaffName().equals(other.getSaleThreeStaffName()))
            && (this.getSaleFourStaffName() == null ? other.getSaleFourStaffName() == null : this.getSaleFourStaffName().equals(other.getSaleFourStaffName()))
            && (this.getSaleOneIdentity() == null ? other.getSaleOneIdentity() == null : this.getSaleOneIdentity().equals(other.getSaleOneIdentity()))
            && (this.getSaleTwoIdentity() == null ? other.getSaleTwoIdentity() == null : this.getSaleTwoIdentity().equals(other.getSaleTwoIdentity()))
            && (this.getSaleThreeIdentity() == null ? other.getSaleThreeIdentity() == null : this.getSaleThreeIdentity().equals(other.getSaleThreeIdentity()))
            && (this.getSaleFourIdentity() == null ? other.getSaleFourIdentity() == null : this.getSaleFourIdentity().equals(other.getSaleFourIdentity()))
            && (this.getSaleOneRatio() == null ? other.getSaleOneRatio() == null : this.getSaleOneRatio().equals(other.getSaleOneRatio()))
            && (this.getSaleTwoRatio() == null ? other.getSaleTwoRatio() == null : this.getSaleTwoRatio().equals(other.getSaleTwoRatio()))
            && (this.getSaleThreeRatio() == null ? other.getSaleThreeRatio() == null : this.getSaleThreeRatio().equals(other.getSaleThreeRatio()))
            && (this.getSaleFourRatio() == null ? other.getSaleFourRatio() == null : this.getSaleFourRatio().equals(other.getSaleFourRatio()))
            && (this.getSaleOneAchievementAmount() == null ? other.getSaleOneAchievementAmount() == null : this.getSaleOneAchievementAmount().equals(other.getSaleOneAchievementAmount()))
            && (this.getSaleTwoAchievementAmount() == null ? other.getSaleTwoAchievementAmount() == null : this.getSaleTwoAchievementAmount().equals(other.getSaleTwoAchievementAmount()))
            && (this.getSaleThreeAchievementAmount() == null ? other.getSaleThreeAchievementAmount() == null : this.getSaleThreeAchievementAmount().equals(other.getSaleThreeAchievementAmount()))
            && (this.getSaleFourAchievementAmount() == null ? other.getSaleFourAchievementAmount() == null : this.getSaleFourAchievementAmount().equals(other.getSaleFourAchievementAmount()))
            && (this.getSaleOneCommissionAmount() == null ? other.getSaleOneCommissionAmount() == null : this.getSaleOneCommissionAmount().equals(other.getSaleOneCommissionAmount()))
            && (this.getSaleTwoCommissionAmount() == null ? other.getSaleTwoCommissionAmount() == null : this.getSaleTwoCommissionAmount().equals(other.getSaleTwoCommissionAmount()))
            && (this.getSaleThreeCommissionAmount() == null ? other.getSaleThreeCommissionAmount() == null : this.getSaleThreeCommissionAmount().equals(other.getSaleThreeCommissionAmount()))
            && (this.getSaleFourCommissionAmount() == null ? other.getSaleFourCommissionAmount() == null : this.getSaleFourCommissionAmount().equals(other.getSaleFourCommissionAmount()))
            && (this.getAchievementAmount() == null ? other.getAchievementAmount() == null : this.getAchievementAmount().equals(other.getAchievementAmount()))
            && (this.getCommissionAmount() == null ? other.getCommissionAmount() == null : this.getCommissionAmount().equals(other.getCommissionAmount()))
            && (this.getCardAchievementAmount() == null ? other.getCardAchievementAmount() == null : this.getCardAchievementAmount().equals(other.getCardAchievementAmount()))
            && (this.getCardCommissionAmount() == null ? other.getCardCommissionAmount() == null : this.getCardCommissionAmount().equals(other.getCardCommissionAmount()))
            && (this.getAccountId() == null ? other.getAccountId() == null : this.getAccountId().equals(other.getAccountId()))
            && (this.getManageStaffId() == null ? other.getManageStaffId() == null : this.getManageStaffId().equals(other.getManageStaffId()))
            && (this.getManageStaffName() == null ? other.getManageStaffName() == null : this.getManageStaffName().equals(other.getManageStaffName()))
            && (this.getManageIdentity() == null ? other.getManageIdentity() == null : this.getManageIdentity().equals(other.getManageIdentity()))
            && (this.getManageNumber() == null ? other.getManageNumber() == null : this.getManageNumber().equals(other.getManageNumber()))
            && (this.getDebtId() == null ? other.getDebtId() == null : this.getDebtId().equals(other.getDebtId()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getRepayNum() == null) ? 0 : getRepayNum().hashCode());
        result = prime * result + ((getStoreId() == null) ? 0 : getStoreId().hashCode());
        result = prime * result + ((getStoreName() == null) ? 0 : getStoreName().hashCode());
        result = prime * result + ((getMemberId() == null) ? 0 : getMemberId().hashCode());
        result = prime * result + ((getMemberName() == null) ? 0 : getMemberName().hashCode());
        result = prime * result + ((getMemberIdentityCard() == null) ? 0 : getMemberIdentityCard().hashCode());
        result = prime * result + ((getMobilePhone() == null) ? 0 : getMobilePhone().hashCode());
        result = prime * result + ((getDocId() == null) ? 0 : getDocId().hashCode());
        result = prime * result + ((getDocNum() == null) ? 0 : getDocNum().hashCode());
        result = prime * result + ((getDocType() == null) ? 0 : getDocType().hashCode());
        result = prime * result + ((getTradeId() == null) ? 0 : getTradeId().hashCode());
        result = prime * result + ((getTradeName() == null) ? 0 : getTradeName().hashCode());
        result = prime * result + ((getTradeMoney() == null) ? 0 : getTradeMoney().hashCode());
        result = prime * result + ((getDebtMoney() == null) ? 0 : getDebtMoney().hashCode());
        result = prime * result + ((getRepayDate() == null) ? 0 : getRepayDate().hashCode());
        result = prime * result + ((getRepayMoney() == null) ? 0 : getRepayMoney().hashCode());
        result = prime * result + ((getPayMoney() == null) ? 0 : getPayMoney().hashCode());
        result = prime * result + ((getSalesAchievement() == null) ? 0 : getSalesAchievement().hashCode());
        result = prime * result + ((getSalesCommission() == null) ? 0 : getSalesCommission().hashCode());
        result = prime * result + ((getCardSalesAchievement() == null) ? 0 : getCardSalesAchievement().hashCode());
        result = prime * result + ((getCardSalesCommission() == null) ? 0 : getCardSalesCommission().hashCode());
        result = prime * result + ((getTypeRatio() == null) ? 0 : getTypeRatio().hashCode());
        result = prime * result + ((getSaleOneNumber() == null) ? 0 : getSaleOneNumber().hashCode());
        result = prime * result + ((getSaleTwoNumber() == null) ? 0 : getSaleTwoNumber().hashCode());
        result = prime * result + ((getSaleThreeNumber() == null) ? 0 : getSaleThreeNumber().hashCode());
        result = prime * result + ((getSaleFourNumber() == null) ? 0 : getSaleFourNumber().hashCode());
        result = prime * result + ((getSaleOneStaffId() == null) ? 0 : getSaleOneStaffId().hashCode());
        result = prime * result + ((getSaleTwoStaffId() == null) ? 0 : getSaleTwoStaffId().hashCode());
        result = prime * result + ((getSaleThreeStaffId() == null) ? 0 : getSaleThreeStaffId().hashCode());
        result = prime * result + ((getSaleFourStaffId() == null) ? 0 : getSaleFourStaffId().hashCode());
        result = prime * result + ((getSaleOneStaffName() == null) ? 0 : getSaleOneStaffName().hashCode());
        result = prime * result + ((getSaleTwoStaffName() == null) ? 0 : getSaleTwoStaffName().hashCode());
        result = prime * result + ((getSaleThreeStaffName() == null) ? 0 : getSaleThreeStaffName().hashCode());
        result = prime * result + ((getSaleFourStaffName() == null) ? 0 : getSaleFourStaffName().hashCode());
        result = prime * result + ((getSaleOneIdentity() == null) ? 0 : getSaleOneIdentity().hashCode());
        result = prime * result + ((getSaleTwoIdentity() == null) ? 0 : getSaleTwoIdentity().hashCode());
        result = prime * result + ((getSaleThreeIdentity() == null) ? 0 : getSaleThreeIdentity().hashCode());
        result = prime * result + ((getSaleFourIdentity() == null) ? 0 : getSaleFourIdentity().hashCode());
        result = prime * result + ((getSaleOneRatio() == null) ? 0 : getSaleOneRatio().hashCode());
        result = prime * result + ((getSaleTwoRatio() == null) ? 0 : getSaleTwoRatio().hashCode());
        result = prime * result + ((getSaleThreeRatio() == null) ? 0 : getSaleThreeRatio().hashCode());
        result = prime * result + ((getSaleFourRatio() == null) ? 0 : getSaleFourRatio().hashCode());
        result = prime * result + ((getSaleOneAchievementAmount() == null) ? 0 : getSaleOneAchievementAmount().hashCode());
        result = prime * result + ((getSaleTwoAchievementAmount() == null) ? 0 : getSaleTwoAchievementAmount().hashCode());
        result = prime * result + ((getSaleThreeAchievementAmount() == null) ? 0 : getSaleThreeAchievementAmount().hashCode());
        result = prime * result + ((getSaleFourAchievementAmount() == null) ? 0 : getSaleFourAchievementAmount().hashCode());
        result = prime * result + ((getSaleOneCommissionAmount() == null) ? 0 : getSaleOneCommissionAmount().hashCode());
        result = prime * result + ((getSaleTwoCommissionAmount() == null) ? 0 : getSaleTwoCommissionAmount().hashCode());
        result = prime * result + ((getSaleThreeCommissionAmount() == null) ? 0 : getSaleThreeCommissionAmount().hashCode());
        result = prime * result + ((getSaleFourCommissionAmount() == null) ? 0 : getSaleFourCommissionAmount().hashCode());
        result = prime * result + ((getAchievementAmount() == null) ? 0 : getAchievementAmount().hashCode());
        result = prime * result + ((getCommissionAmount() == null) ? 0 : getCommissionAmount().hashCode());
        result = prime * result + ((getCardAchievementAmount() == null) ? 0 : getCardAchievementAmount().hashCode());
        result = prime * result + ((getCardCommissionAmount() == null) ? 0 : getCardCommissionAmount().hashCode());
        result = prime * result + ((getAccountId() == null) ? 0 : getAccountId().hashCode());
        result = prime * result + ((getManageStaffId() == null) ? 0 : getManageStaffId().hashCode());
        result = prime * result + ((getManageStaffName() == null) ? 0 : getManageStaffName().hashCode());
        result = prime * result + ((getManageIdentity() == null) ? 0 : getManageIdentity().hashCode());
        result = prime * result + ((getManageNumber() == null) ? 0 : getManageNumber().hashCode());
        result = prime * result + ((getDebtId() == null) ? 0 : getDebtId().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", repayNum=").append(repayNum);
        sb.append(", storeId=").append(storeId);
        sb.append(", storeName=").append(storeName);
        sb.append(", memberId=").append(memberId);
        sb.append(", memberName=").append(memberName);
        sb.append(", memberIdentityCard=").append(memberIdentityCard);
        sb.append(", mobilePhone=").append(mobilePhone);
        sb.append(", docId=").append(docId);
        sb.append(", docNum=").append(docNum);
        sb.append(", docType=").append(docType);
        sb.append(", tradeId=").append(tradeId);
        sb.append(", tradeName=").append(tradeName);
        sb.append(", tradeMoney=").append(tradeMoney);
        sb.append(", debtMoney=").append(debtMoney);
        sb.append(", repayDate=").append(repayDate);
        sb.append(", repayMoney=").append(repayMoney);
        sb.append(", payMoney=").append(payMoney);
        sb.append(", salesAchievement=").append(salesAchievement);
        sb.append(", salesCommission=").append(salesCommission);
        sb.append(", cardSalesAchievement=").append(cardSalesAchievement);
        sb.append(", cardSalesCommission=").append(cardSalesCommission);
        sb.append(", typeRatio=").append(typeRatio);
        sb.append(", saleOneNumber=").append(saleOneNumber);
        sb.append(", saleTwoNumber=").append(saleTwoNumber);
        sb.append(", saleThreeNumber=").append(saleThreeNumber);
        sb.append(", saleFourNumber=").append(saleFourNumber);
        sb.append(", saleOneStaffId=").append(saleOneStaffId);
        sb.append(", saleTwoStaffId=").append(saleTwoStaffId);
        sb.append(", saleThreeStaffId=").append(saleThreeStaffId);
        sb.append(", saleFourStaffId=").append(saleFourStaffId);
        sb.append(", saleOneStaffName=").append(saleOneStaffName);
        sb.append(", saleTwoStaffName=").append(saleTwoStaffName);
        sb.append(", saleThreeStaffName=").append(saleThreeStaffName);
        sb.append(", saleFourStaffName=").append(saleFourStaffName);
        sb.append(", saleOneIdentity=").append(saleOneIdentity);
        sb.append(", saleTwoIdentity=").append(saleTwoIdentity);
        sb.append(", saleThreeIdentity=").append(saleThreeIdentity);
        sb.append(", saleFourIdentity=").append(saleFourIdentity);
        sb.append(", saleOneRatio=").append(saleOneRatio);
        sb.append(", saleTwoRatio=").append(saleTwoRatio);
        sb.append(", saleThreeRatio=").append(saleThreeRatio);
        sb.append(", saleFourRatio=").append(saleFourRatio);
        sb.append(", saleOneAchievementAmount=").append(saleOneAchievementAmount);
        sb.append(", saleTwoAchievementAmount=").append(saleTwoAchievementAmount);
        sb.append(", saleThreeAchievementAmount=").append(saleThreeAchievementAmount);
        sb.append(", saleFourAchievementAmount=").append(saleFourAchievementAmount);
        sb.append(", saleOneCommissionAmount=").append(saleOneCommissionAmount);
        sb.append(", saleTwoCommissionAmount=").append(saleTwoCommissionAmount);
        sb.append(", saleThreeCommissionAmount=").append(saleThreeCommissionAmount);
        sb.append(", saleFourCommissionAmount=").append(saleFourCommissionAmount);
        sb.append(", achievementAmount=").append(achievementAmount);
        sb.append(", commissionAmount=").append(commissionAmount);
        sb.append(", cardAchievementAmount=").append(cardAchievementAmount);
        sb.append(", cardCommissionAmount=").append(cardCommissionAmount);
        sb.append(", accountId=").append(accountId);
        sb.append(", manageStaffId=").append(manageStaffId);
        sb.append(", manageStaffName=").append(manageStaffName);
        sb.append(", manageIdentity=").append(manageIdentity);
        sb.append(", manageNumber=").append(manageNumber);
        sb.append(", debtId=").append(debtId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}